Name:		k4guitune
Version:	1.1.1
%define subrel 2
Release:	%mkrel 6
Summary:	KDE application to tune a musical instrument
License:	GPLv2
Group:		Sound/Editors and Converters
Url:		http://kde-apps.org/content/show.php/K4Guitune?content=117669

Source0:	http://kde-apps.org/CONTENT/content-files/117669-k4guitune-%version.tar.gz
Patch0:		k4guitune-1.1.1-use-soundwrapper.patch
BuildRequires:	kdelibs4-devel
BuildRequires:	fftw3-devel

Requires:	kdebase4-runtime
Requires:	soundwrapper

%description
K4Guitune is a program to tune a musical instrument using your computer and
its microphone or line-in input.
The pitch detection algorithm is based on finding the first peak in the
autocorrelation of the input signal.

K4Guitune offers:
* two systems of musical tuning: equal temperament and just intonation;
* three reference pitches: normal (440 Hz), French (435 Hz) and
  scientific (430.54 Hz);
* three sets of note names: English, German and Italian.

%prep
%setup -q -n k4guitune
%patch0 -p1

%build
%cmake_kde4
%make
 
%install
%{makeinstall_std} -C build
 
%find_lang %name --with-html

%files -f %name.lang
%doc README
%{_bindir}/k4guitune
%{_kde_applicationsdir}/k4guitune.desktop
%{_kde_appsdir}/k4guitune/k4guituneui.rc
%{_datadir}/config.kcfg/k4guitune.kcfg
%{_iconsdir}/hicolor/*/apps/k4guitune.png


%changelog
* Tue Aug 04 2015 shlomif <shlomif> 1.1.1-6.2.mga5
+ Revision: 861092
- Add missing Requires from prev commit (thx to ysoft for the patch).
- Fix for MGA#13805 (patch thx to ysoft) - exe requires soundwrapper.

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-6.mga5
+ Revision: 750717
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 680911
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-4.mga4
+ Revision: 506499
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 355766
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 neoclust <neoclust> 1.1.1-2.mga3
+ Revision: 341082
- Fix group

* Wed Jul 11 2012 obgr_seneca <obgr_seneca> 1.1.1-1.mga3
+ Revision: 269390
- cleaned spec file

  + dglent <dglent>
    - Change rpm "Category" according Mageia policies
    - imported package k4guitune

